Contributing to Viewflow
=========================

Viewflow is heavily used a DataCamp. We will continue fixing bugs and improving Viewflow based on our needs. However, we are happy to welcome external contributions. Contributions can be of different natures: feature requests, bug reports, implementation of new features or documentation improvements.

Feature requests
================

If you think Viewflow is made for you but that a feature needed for you is missing, we are happy to receive feature requests via the the GitHub issues. Please follow the above instructions when submitting a new feature request:

- First, search the GitHub issue for a similar feature requests. If a similar feature requests exists, you can comment in this feature requests and explain why you are interested in this new feature.
- If a similar feature requests doesn't exist, create a new one
- Use a clear title for the new feature
- Describe the goal of the new feature (i.e., expected behaviour)
- Provide clear instructions on how a user would use your new feature (e.g., new field in the DAGs' `config.yml` file, new view type) 
- Provide a use-case for this new feature
    
Please use the `enhancement` issue tag.

Bug reports
===========

If you found a bug in the code, please report it via a GitHub issue. Please follow these guidelines to submit a good bug report:

- Use a clear title that describes the bug
- Describe the bug: what is the expected behaviour VS what is the observed behaviour
- If possible, provide a reproducible example
    - a config.yml file along with short SQL or Python scripts
- If any, provide us with specific logs that can help understand the bug

Please use the `bug` issue tag when you report a new bug.

Implementation of a new feature
===============================

We want Viewflow to be used by other data-driven companies and we welcome new features to viewflow (e.g., new view types). In order to submit a new feature, please create a new PR to the repository.

Before submitting a new PR, test your version of the code locally, and if possible implement tests for your code.


Documentation improvements
==========================

Be it a typo, a complete rewrite of a section or a new section, we love to receive documentation improvements. In order to submit a document improvement, please create a new PR. Please explain in your PR how it improves the current documentation.